Bug 1132266 - Review Request: vassal - game engine for building and playing board games and card games
Review Request: vassal - game engine for building and playing board games and...
Status: CLOSED DUPLICATE of bug 1352837
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-08-20 23:03 EDT by Robert Lightfoot
Modified: 2016-07-29 05:45 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-05 04:53:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Lightfoot 2014-08-20 23:03:05 EDT
Spec URL: https://boblfoot.fedorapeople.org/vassal/vassal.spec
SRPM URL: https://boblfoot.fedorapeople.org/vassal/vassal-3.2.13-1.el7.centos.src.rpm
Description: A game engine for building and playing board games and card games
Fedora Account System Username: boblfoot

Please note this is my first package review request and I will be in need of a sponsor.
The package has been built on my CentOS-7 system using mock for F19, F20 and epel7.
I have also done several scratch builds on koji as follows:
Pass F19 - http://koji.fedoraproject.org/koji/taskinfo?taskID=7433963
Pass F20 - http://koji.fedoraproject.org/koji/taskinfo?taskID=7433991
Fail F21 - http://koji.fedoraproject.org/koji/taskinfo?taskID=7434018
missing java-1.7.0-openjdk-devel 
Pass EPEL7 - http://koji.fedoraproject.org/koji/taskinfo?taskID=7434028
Pass dist-6E-epel - http://koji.fedoraproject.org/koji/taskinfo?taskID=7434047
Fail - dist-5E-epel - http://koji.fedoraproject.org/koji/taskinfo?taskID=7434062
cpio version and sums issue

I also checked it with rpmlint and notified upstream of the FSF licensing issues.  https://boblfoot.fedorapeople.org/vassal/rpmlint.vassal.txt

Upstream was also missing a man page so I created one to meet rpmlint output.
https://boblfoot.fedorapeople.org/vassal/vassal.1.gz
Comment 1 Robert Lightfoot 2014-08-23 11:22:41 EDT
been conversing with upstream about license warnings and a few other issues.  As a result find the spec, srpm and rpm of 3.2.13-1 here https://boblfoot.fedorapeople.org/vassal/3.2.13-1/ and the updated spec, srpm and rpm of 3.2.13-2 here https://boblfoot.fedorapeople.org/vassal/3.2.13-2/ .  Hope this is clear enough. The source manpoage file is still at https://boblfoot.fedorapeople.org/vassal/vassal.1.gz because it is common to all versions.
Comment 2 Igor Gnatenko 2016-07-05 04:53:57 EDT
As this is something very old, without desktop file and with bundled libs, closing in favor of new review.

*** This bug has been marked as a duplicate of bug 1352837 ***

Note You need to log in before you can comment on or make changes to this bug.